Package org.gradle.api.artifacts.component

## Interface ProjectComponentIdentifier

- All Superinterfaces:
    `ComponentIdentifier`

      public interface ProjectComponentIdentifier
      extends ComponentIdentifier

  An identifier for a component instance that is built as part of the current build.
  Since:
    1.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BuildIdentifier` | `getBuild()` | Identifies the build that contains the project that produces this component.
    `String` | `getProjectName()` | Returns the simple name of the project that produces this component.
    `String` | `getProjectPath()` | Returns the path of the project that produces this component.

    - ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentIdentifier

      `getDisplayName`

- - ### Method Detail

    - #### getBuild

          BuildIdentifier getBuild()

      Identifies the build that contains the project that produces this component.
      Returns:
        The build identifier

    - #### getProjectPath

          String getProjectPath()

      Returns the path of the project that produces this component. This path is relative to the containing build, so for example will return ':' for the root project of a build.
      Since:
        1.10

    - #### getProjectName

          String getProjectName()

      Returns the simple name of the project that produces this component.
      Since:
        4.5